import 'dart:convert';
import 'package:json_annotation/json_annotation.dart';

part 'notifier_parameter.g.dart';

/// Model to store information about a Tautulli notifier parameters.
@JsonSerializable()
class TautulliNotifierParameter {
    /// Name of the notifier parameter.
    @JsonKey(name: 'name')
    final String name;

    /// The type of data stored in this parameter.
    @JsonKey(name: 'type')
    final String type;

    /// The key to the notifier parameter.
    @JsonKey(name: 'value')
    final String value;

    TautulliNotifierParameter({
        this.name,
        this.type,
        this.value,
    });

    /// Returns a JSON-encoded string version of this object.
    @override
    String toString() => json.encode(this.toJson());

    /// Deserialize a JSON map to a [TautulliNotifierParameter] objecParametert.
    factory TautulliNotifierParameter.fromJson(Map<String, dynamic> json) => _$TautulliNotifierParameterFromJson(json);
    /// Serialize a [TautulliNotifierParameter] object to a JSON maParameterp.
    Map<String, dynamic> toJson() => _$TautulliNotifierParameterToJson(this);
}
